/*******************************************************************************
* FILE NAME: sensor_routines.h
*
* DESCRIPTION:
*  This file contains sensor related declarations
*
* USAGE:
*
*******************************************************************************/

#ifndef __sensor_routines_h_
#define __sensor_routines_h_


#ifdef VARIABLE_DECLARE
  long GyroSum = 0;
  unsigned char GyroTicks=0; // Time to check the gyro
  int min_gyro=0, max_gyro=0;
  int LeftAmps, RightAmps;
#else
  extern long GyroSum;
  extern unsigned char GyroTicks;
  extern int min_gyro, max_gyro;
  extern int LeftAmps, RightAmps;
#endif

  #define DEG90   8700  // Gyro ticks in  90 degrees
//  #define DEG180 18250  // Gyro ticks in 180 degrees
  #define DEG180 17400  // Gyro ticks in 180 degrees (original)
  #define DEG360 34800  // Gyro ticks in 360 degrees (original)
//  #define DEG360 36500  // Gyro ticks in 360 degrees (37100,)

#define GYRO_DEGREES (((GyroSum * 360 * 10) + DEG180) / DEG360)

void Gyro(void);
//int  Gyro_Degrees(void);
int  Average_Values(char *, int, char, int *);
int Gyro_PID(int,char);
int Gyro_Steering(int, int, int *, int *);
int Gyro_Reset(int);

#endif
